## eject 1.5

=== Makefile ===
--- 
+++ 
@@ -31,5 +31,5 @@
 	$(RM) eject eject.o core *~
 
 dist:	eject.c Makefile eject.1 README
-	$(RM) eject eject.o core eject-1.4.tar.gz *~
-	cd .. ; tar -czvf eject-1.4.tar.gz eject-1.4
+	$(RM) eject eject.o core eject-1.5.tar.gz *~
+	cd .. ; tar -czvf eject-1.5.tar.gz eject-1.5
