## eject 2.0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # Make file for eject
+
+# to be overidden when building Debian packages
+DESTDIR =
 
 # Default device to eject. Can be a partial name such as "cdrom" or
 # a full device name such as "/dev/sda4".
@@ -47,9 +50,15 @@
 eject.o: eject.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c eject.c
 
+volname: volname.o
+	$(LD) $(LDFLAGS) -o volname volname.o
+
+volname.o: volname.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c volname.c
+
 install: eject
-	install -m $(MODE) eject $(BINDIR)/eject
-	install -m 444 eject.1 $(MANDIR)/man1/eject.1
+	install -D -m $(MODE) eject $(DESTDIR)$(BINDIR)/eject
+	install -D -m 444 eject.1 $(DESTDIR)$(MANDIR)/man1/eject.1
 	@for dir in /bin /usr/bin /sbin /usr/sbin /usr/local/bin /usr/local/sbin ; do \
 	  test $(BINDIR) = $$dir  && continue ; \
 	  if [ -x $$dir/eject ] ; then  \
@@ -58,10 +67,11 @@
 	done
 
 clean:
-	$(RM) eject eject.o core *~
-
-ci:	clean
-	-ci -l *
+	$(RM) eject eject.o volname volname.o core *~
+	$(RM) -r debian/tmp
 
 dist:	clean
-	cd .. ; tar --exclude RCS -czvf eject-2.0.2.tar.gz eject-2.0.2
+	cd .. ; tar --exclude RCS -czvf eject-2.0.3.tar.gz eject-2.0.3
+
+deb:	eject
+	fakeroot debian/rules binary
