## eject 2.1.5%2Bdeb1%2Bcvs20081104

=== debian/changelog ===
eject (2.1.5+deb1+cvs20081104-14) unstable; urgency=medium

  * QA upload.

  [ Gianfranco Costamagna ]
  * Forgot to push the eject.c changes, this is the complete upload 13.1

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Migrated git repo to salsa.  Updated d/control with new Vcs links.
  * Replaced broken homepage in d/control with one found on Sourceforge.
  * Change maintainer to QA group, as current maintainer is no longer
    active.  Many thanks to Frank Lichtenheld.
  * Updated debhelper version from 9 to 10.
  * Changed source to 3.0 (quilt) format and moved changes to
    2000-version-2.1.5+deb1+cvs20081104-13.1.patch.
  * Ask dh to use autoreconf to get source building.
  * Updated Standards-Version from 3.9.3 to 4.3.0.
  * Added Tajik (tg) debconf translation by Victor Ibragimov (Closes: #890079).
  * Updated Norwegian Bokmål (nb) debconf translation by Petter
    Reinholdtsen (Closes: #923919).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 08 Jul 2019 08:40:51 +0000

eject (2.1.5+deb1+cvs20081104-13.1) unstable; urgency=low

  [ Ankit Sinha ]
  * Non-maintainer upload.
  * eject now iterates through /dev/device_name[0-9]
    (LP: #795239, Closes: #719110)

  [ Bart Martens ]
  * debian/rules: Create directory debian/eject-udeb if it doesn't exist yet.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 14 Feb 2014 22:17:11 +0100

eject (2.1.5+deb1+cvs20081104-13) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Kannada (Mallikarjuna).  Closes: #694409

  [ Frank Lichtenheld ]
  * debian/rules: Set CC correctly if cross-building.
    Patch by Colin Watson.  Closes: #694837

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 23 Dec 2012 23:30:02 +0100

eject (2.1.5+deb1+cvs20081104-12) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Serbian (Karolina Kalic).  Closes: #691286
    - Serbian Latin (Karolina Kalic).  Closes: #691287

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 23 Nov 2012 23:55:16 +0100

eject (2.1.5+deb1+cvs20081104-11) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Slovenian (Vanja Cvelbar).  Closes: #670618
    - Latvian (Rūdolfs Mazurs).  Closes: #674693
    - Welsh (Daffyd Tomos).

  [ Frank Lichtenheld ]
  * Declare Multi-Arch: foreign. Requested by Helmut Grohne.
    Closes: #676780
  * Use dpkg-buildflags for hand-built dmcrypt-get-device, too.
  * Use hardening=+all
  * Added build dependency on dpkg-dev (>= 1.16.1~) for the changes
    above
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 25 Jun 2012 01:29:01 +0200

eject (2.1.5+deb1+cvs20081104-10) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Serbian Latin (Janos Guljas).  Closes: #600141
    - Ukrainian (Anton Gladky).  Closes: #654298 

  [ Frank Lichtenheld ]
  * Fix handling of mount points with spaces in name again,
    got broken when importing upstream patches.
  * Always send ioctl to main device file, not partitions.
    Thanks to Kristof Provost. Closes: #659904

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 20 Feb 2012 01:07:09 +0100

eject (2.1.5+deb1+cvs20081104-9) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Nepali (Nabin Gautam).  Closes: #614691
    - Sinhala (Danishka Navin).  Closes: #640758, #640936

  * Program translations:
    - Danish (Joe Hansen). Closes: #626731

  [ Frank Lichtenheld ]
  * Debconf translations:
    - Uyghur (Sahran). Closes: #627010
  * Bump Standards-Version to 3.9.2 (no changes)
  * Bump debian/compat to 9

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 02 Dec 2011 21:55:35 +0100

eject (2.1.5+deb1+cvs20081104-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.1:
    - Use kfreebsd-any in Build-Depends
  * Convert debian/rules to use dh
  * Apply patch to avoid -X side-effects by Adam Buchbinder.
    Fixes Ubuntu bug #136971
  * Import openSUSE patches by Anna Bernáthová:
    - use CDROM_DRIVE_STATUS in toggle (bnc#374526)
    - check host_status and driver_status when using SG_IO (bnc#358033)
  
  * Program translations:
    - Slovenian (Andrej Znidarsic). Closes: #603674
    - Portuguese (Américo Monteiro). Closes: #567898

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 19 Feb 2011 19:47:14 +0100

eject (2.1.5+deb1+cvs20081104-7.1) unstable; urgency=low

  * Non-maintainer upload to fix pending debconf translations
    (Debian Installer menu entries)
  * Debconf translations:
    - Simplified Chinese (Ming Hua).
    - Persian (Vahid Ghaderi).  Closes: #587021
    - Kazakh (Sarsenov D.).  Closes: #587101
    - Bosnian (Armin Beširović).  Closes: #587101
    - Icelandic (Sveinn í Felli).
    - Serbian (Janos Guljas).  Closes: #600140
    - Greek (Kostas Papadimas).  Closes: #604450
    - Italian updated (Milo Casagrande).  Closes: #559505

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2010 09:13:58 +0100

eject (2.1.5+deb1+cvs20081104-7) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Bengali added.
    - Telugu (Veeven) added.  Closes: #544043

  [ Frank Lichtenheld ]
  * Bump Standards-Version to 3.8.2 (no changes)

  * Program translations:
    - Italian updated. Closes: #534349

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 26 Oct 2009 17:43:50 +0100

eject (2.1.5+deb1+cvs20081104-6) unstable; urgency=low

  * Only try to open the device read/write if not root.
    (Partly addresses #522859)

  * Bump Standards-Version to 3.8.1 (no changes)

  * Program translations:
    - Swedish updated. Closes: #517512 

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 19 Apr 2009 01:33:10 +0200

eject (2.1.5+deb1+cvs20081104-5) unstable; urgency=low

  * Upload to unstable.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 Feb 2009 16:17:28 +0100

eject (2.1.5+deb1+cvs20081104-4) experimental; urgency=low


