=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_CPU),m68k)
CFLAGS += -Os
else
CFLAGS += -Os -fomit-frame-pointer
endif
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
cdrom		=	--enable-default-device=acd0
nodevmapper	=	1
endif

deb_dir		=	debian/eject
udeb_dir	=	debian/eject-udeb

%:
	dh $@ --with=autotools-dev,autoreconf

override_dh_auto_build:
	dh_auto_build
ifeq (,$(nodevmapper))
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) dmcrypt-get-device.c -o dmcrypt-get-device -ldevmapper
endif

override_dh_auto_configure:
	dh_auto_configure -- $(cdrom)

override_dh_clean:
	dh_clean dmcrypt-get-device

override_dh_auto_install:
	$(MAKE) install mandir=/usr/share/man DESTDIR=$(CURDIR)/$(deb_dir)
	[ -d $(udeb_dir) ] || mkdir $(udeb_dir)
	cp -a $(deb_dir)/usr $(udeb_dir)/
	rm -fr $(udeb_dir)/usr/share/man

ifeq (,$(nodevmapper))
	install -D -m 4755 dmcrypt-get-device $(deb_dir)/usr/lib/eject/dmcrypt-get-device
endif

override_dh_fixperms:
	dh_fixperms -a -Xdmcrypt-get-device

override_dh_auto_test:
