## eject 2.1.5+deb1+cvs20081104

=== debian/changelog ===
eject (2.1.5+deb1+cvs20081104-15) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Split translation part of Debian changes into 1000-translations.patch.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Drop use of autotools-dev debhelper.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Drop unnecessary dependency on dh-autoconf.
  * Replace XC-Package-Type with Package-Type.
  * Use canonical URL in Vcs-Browser.
  * Rely on pre-initialized dpkg-architecture variables.
  [ 肖盛文 ]
  * d/control:
    Bumped Standards-Version to 4.5.0
    add Build-Depends: debhelper (>= 12)
    delete lintian useless-autoreconf-build-depends: autotools-dev
    +Rules-Requires-Root: no
  * Fixs lintian:
    unused-file-paragraph-in-dep5-copyright
    wildcard-matches-nothing-in-dep5-copyright
    executable-in-usr-lib usr/lib/eject/dmcrypt-get-device
  * delete the outdated watch url
  * add debian/manpages
  * add debian/install
  * add debian/eject-udeb.install
  * d/rules:
    use install files
    use manpages
    deleted no use deb_dir udeb_dir env variables
    add dh_dwz for udeb packages
  * New maintainer (Closes: #924444)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 30 Apr 2020 20:01:26 +0800
