=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: eject
 Section: utils
 Priority: optional
-Build-Depends: gettext, debhelper (>= 4.2), dpkg-dev (>= 1.13.2), libdevmapper-dev
-Maintainer: Frank Lichtenheld <djpig@debian.org>
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 12),
+ debhelper-compat (= 12),
+ gettext,
+ dpkg-dev (>= 1.16.1~),
+ libdevmapper-dev [!kfreebsd-any],
+ libsgutils2-dev,
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/eject.git
+Vcs-Browser: https://salsa.debian.org/debian/eject
+Homepage: http://eject.sourceforge.net/
 
 Package: eject
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cdtool, setcd
 Description: ejects CDs and operates CD-Changers under Linux
@@ -21,8 +31,8 @@
 
 Package: eject-udeb
 Section: debian-installer
-XC-Package-Type: udeb
-XB-Installer-Menu-Item: 960
+Package-Type: udeb
+XB-Installer-Menu-Item: 96000
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ejects CDs from d-i menu
