=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_CPU),m68k)
CFLAGS += -Os
else
CFLAGS += -Os -fomit-frame-pointer
endif
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
cdrom		=	--enable-default-device=acd0
nodevmapper	=	1
endif


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
ifeq (,$(nodevmapper))
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) dmcrypt-get-device.c -o dmcrypt-get-device -ldevmapper
endif

override_dh_auto_configure:
	dh_auto_configure -- $(cdrom)

override_dh_clean:
	dh_clean dmcrypt-get-device

override_dh_fixperms:
	dh_fixperms -a -Xdmcrypt-get-device
	chmod 4755 debian/eject/usr/lib/eject/dmcrypt-get-device

override_dh_dwz:
	dh_dwz -Xdebian/eject-udeb

override_dh_auto_test:
