=== debian/watch ===
version=3

http://www.ibiblio.org/pub/Linux/utils/disk-management/eject-(.*)\.tar\.gz
